Debian Bug report logs - #381389
dh_python doesn't fill Python-Version with the correct version

version graph

Package: debhelper; Maintainer for debhelper is Debhelper Maintainers <debhelper-devel@lists.alioth.debian.org>; Source for debhelper is src:debhelper.

Reported by: "Aaron M. Ucko" <ucko@debian.org>

Date: Fri, 4 Aug 2006 00:48:21 UTC

Severity: critical

Found in version 5.0.37.3

Fixed in versions debhelper/5.0.39, debhelper/5.0.38

Done: Joey Hess <joeyh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, ucko@debian.org, Brian Sutherland <jinty@web.de>:
Bug#381389; Package smart-notifier. Full text and rfc822 format available.

Acknowledgement sent to "Aaron M. Ucko" <ucko@debian.org>:
New Bug report received and forwarded. Copy sent to ucko@debian.org, Brian Sutherland <jinty@web.de>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Aaron M. Ucko" <ucko@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: smart-notifier: compilation fails with SyntaxError on @dbus.service.signal(UD_INTERFACE)
Date: Thu, 03 Aug 2006 20:31:20 -0400
Package: smart-notifier
Version: 0.27-1
Severity: grave
Justification: renders package unusable

Setting up smart-notifier (0.27-1) ...
Stopping Avahi mDNS/DNS-SD Daemon: avahi-daemon.
Stopping Hardware abstraction layer: hald.
Stopping system message bus: dbus.
Starting system message bus: dbus.
Starting Hardware abstraction layer: hald.
Starting Avahi mDNS/DNS-SD Daemon: avahi-daemon.
Compiling /usr/share/smart-notifier/lib/python2.4/smart_notifier/__init__.py ...
  File "/usr/share/smart-notifier/lib/python2.4/smart_notifier/__init__.py", line 43
    @dbus.service.signal(UD_INTERFACE)
    ^
SyntaxError: invalid syntax

pycentral: pycentral pkginstall: error byte-compiling files (2)
pycentral pkginstall: error byte-compiling files (2)
dpkg: error processing smart-notifier (--configure):
 subprocess post-installation script returned error exit status 1

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable')
Architecture: amd64 (x86_64)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.17.1
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages smart-notifier depends on:
ii  dbus                          0.62-4     simple interprocess messaging syst
ii  python-central                0.5.2      register and build utility for Pyt
ii  python-glade2 [python2.4-glad 2.8.6-4    GTK+ bindings: Glade support
ii  python-gtk2 [python2.4-gtk2]  2.8.6-4    Python bindings for the GTK+ widge
ii  python2.4                     2.4.3-8    An interactive high-level object-o
ii  python2.4-dbus                0.62-4     simple interprocess messaging syst
ii  smartmontools                 5.36-6     control and monitor storage system

smart-notifier recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Brian Sutherland <jinty@web.de>:
Bug#381389; Package smart-notifier. Full text and rfc822 format available.

Acknowledgement sent to Margarita Manterola <marga@debian.org>:
Extra info received and forwarded to list. Copy sent to Brian Sutherland <jinty@web.de>. Full text and rfc822 format available.

Message #10 received at 381389@bugs.debian.org (full text, mbox):

From: Margarita Manterola <marga@debian.org>
To: 381389@bugs.debian.org
Cc: control@bugs.debian.org, hertzog@debian.org, doko@debian.org
Subject: Reproduceable, and not smart-notifier's fault
Date: Sat, 12 Aug 2006 12:17:21 -0300
reassign 381389 debhelper 5.0.37.3
thanks

I can reproduce this in my machine.  It's due to the fact that
/usr/bin/python points to python2.3 in my box, and smart-notifier's python
version is "current". Changing this in /var/lib/dpkg/status, "fixes" this
bug.

Therefore, as discussed with Pierre Habouzit, this is a bug in dh_python,
which is not placing the correct version in the Python-Version field, and
I'm reassigning to debhelper (I'm sorry :-/)

--
Love,
	Marga



Bug reassigned from package `smart-notifier' to `debhelper'. Request was from Margarita Manterola <marga@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `critical' from `grave' Request was from Pierre Habouzit <madcoder@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#381389; Package debhelper. Full text and rfc822 format available.

Acknowledgement sent to Brian Sutherland <jinty@web.de>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. Full text and rfc822 format available.

Message #19 received at 381389@bugs.debian.org (full text, mbox):

From: Brian Sutherland <jinty@web.de>
To: Margarita Manterola <marga@debian.org>
Cc: 381389@bugs.debian.org, hertzog@debian.org, doko@debian.org
Subject: Re: Bug#381389: Reproduceable, and not smart-notifier's fault
Date: Wed, 16 Aug 2006 11:34:33 +0200
On Sat, Aug 12, 2006 at 12:17:21PM -0300, Margarita Manterola wrote:
> I can reproduce this in my machine.  It's due to the fact that
> /usr/bin/python points to python2.3 in my box, and smart-notifier's python
> version is "current". Changing this in /var/lib/dpkg/status, "fixes" this
> bug.
>
> Therefore, as discussed with Pierre Habouzit, this is a bug in dh_python,
> which is not placing the correct version in the Python-Version field, and

It looks to me like this is what happens:

smart-notifier has XS-Python-Version set to 2.4 but the binary
package gets Python-Version "current" if built with python2.4 as the
default python.

In my tests with python2.3 as the default, Python-Version is set to 2.4.

In both cases there is no python dependency (only python2.4).

So anyone installing smart-notifier built with python2.4 as the defualt
on a machine with python2.3 as the default experiences breakage when
python-central tries to compile the bytecode for python2.3.

It seems to me that dh_python should set Python-Version to x.y if
XS-Python-Version is x.y regardless of what the current default python
is. At least that is what I would have expected.

> I'm reassigning to debhelper (I'm sorry :-/)

:) No worries. Just my luck to update this in the middle of a python
transition!

> --
> Love,
> 	Marga
> 
> 

-- 
Brian Sutherland

Metropolis - "it's the first movie with a robot. And she's a woman.
              And she's EVIL!!"



Blocking bugs of 383099 added: 381389 Request was from Sam Morris <sam@robots.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#381389; Package debhelper. Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. Full text and rfc822 format available.

Message #26 received at 381389@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Brian Sutherland <jinty@web.de>, 381389@bugs.debian.org
Cc: Margarita Manterola <marga@debian.org>, hertzog@debian.org, doko@debian.org
Subject: Re: Bug#381389: Reproduceable, and not smart-notifier's fault
Date: Tue, 22 Aug 2006 00:42:03 +0200
[Message part 1 (text/plain, inline)]
Le mercredi 16 août 2006 à 11:34 +0200, Brian Sutherland a écrit :
> smart-notifier has XS-Python-Version set to 2.4 but the binary
> package gets Python-Version "current" if built with python2.4 as the
> default python.
> 
> In my tests with python2.3 as the default, Python-Version is set to 2.4.
> 
> In both cases there is no python dependency (only python2.4).
> 
> So anyone installing smart-notifier built with python2.4 as the defualt
> on a machine with python2.3 as the default experiences breakage when
> python-central tries to compile the bytecode for python2.3.
> 
> It seems to me that dh_python should set Python-Version to x.y if
> XS-Python-Version is x.y regardless of what the current default python
> is. At least that is what I would have expected.

This is one of the reasons why I don't like the X?-Python-Version
fields. There is no way for the build process to tell between those two
cases:
     1. building for python2.4 only as we build for one version only and
        python2.4 is the default version;
     2. building for python2.4 only as this is the only supported
        version.

If we apply the solution you describe, case 2 will be fixed, but case 1
will break: when upgrading the default python interpreter, the module
will not be available for the new version.

Thus, we need separate interfaces to tell the helper tools about that.
The -V flag was reintroduced in dh_pysupport (in 0.4) to fix this case,
and I believe something similar should be done in dh_pycentral as well -
dh_python is doomed to be removed anyway.
-- 
 .''`.           Josselin Mouette        /\./\
: :' :           josselin.mouette@ens-lyon.org
`. `'                        joss@debian.org
  `-  Debian GNU/Linux -- The power of freedom
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#381389; Package debhelper. Full text and rfc822 format available.

Acknowledgement sent to Brian Sutherland <jinty@web.de>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. Full text and rfc822 format available.

Message #31 received at 381389@bugs.debian.org (full text, mbox):

From: Brian Sutherland <jinty@web.de>
To: Josselin Mouette <joss@debian.org>
Cc: 381389@bugs.debian.org, Margarita Manterola <marga@debian.org>, hertzog@debian.org, doko@debian.org
Subject: Re: Bug#381389: Reproduceable, and not smart-notifier's fault
Date: Tue, 22 Aug 2006 01:30:46 +0200
On Tue, Aug 22, 2006 at 12:42:03AM +0200, Josselin Mouette wrote:
> Le mercredi 16 août 2006 à 11:34 +0200, Brian Sutherland a écrit :
> > smart-notifier has XS-Python-Version set to 2.4 but the binary
> > package gets Python-Version "current" if built with python2.4 as the
> > default python.
> > 
> > In my tests with python2.3 as the default, Python-Version is set to 2.4.
> > 
> > In both cases there is no python dependency (only python2.4).
> > 
> > So anyone installing smart-notifier built with python2.4 as the defualt
> > on a machine with python2.3 as the default experiences breakage when
> > python-central tries to compile the bytecode for python2.3.
> > 
> > It seems to me that dh_python should set Python-Version to x.y if
> > XS-Python-Version is x.y regardless of what the current default python
> > is. At least that is what I would have expected.
> 
> This is one of the reasons why I don't like the X?-Python-Version
> fields. There is no way for the build process to tell between those two
> cases:
>      1. building for python2.4 only as we build for one version only and
>         python2.4 is the default version;
>      2. building for python2.4 only as this is the only supported
>         version.

Does this not work for case 1:

    XS-Python-Version: current

and for case 2:

    XS-Python-Version: 2.4

> If we apply the solution you describe, case 2 will be fixed, but case 1
> will break: when upgrading the default python interpreter, the module
> will not be available for the new version.
> 
> Thus, we need separate interfaces to tell the helper tools about that.
> The -V flag was reintroduced in dh_pysupport (in 0.4) to fix this case,
> and I believe something similar should be done in dh_pycentral as well -
> dh_python is doomed to be removed anyway.

Yep, with the latest strategy of dh_python, this is probably a
python-central bug and has very little to do with dh_python or
python-support.

-- 
Brian Sutherland

Metropolis - "it's the first movie with a robot. And she's a woman.
              And she's EVIL!!"



Changed Bug title. Request was from Margarita Manterola <marga@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#381389; Package debhelper. Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. Full text and rfc822 format available.

Message #38 received at 381389@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Brian Sutherland <jinty@web.de>
Cc: Josselin Mouette <joss@debian.org>, 381389@bugs.debian.org, Margarita Manterola <marga@debian.org>, doko@debian.org
Subject: Re: Bug#381389: Reproduceable, and not smart-notifier's fault
Date: Tue, 22 Aug 2006 09:29:38 +0200
On Tue, 22 Aug 2006, Brian Sutherland wrote:
> On Tue, Aug 22, 2006 at 12:42:03AM +0200, Josselin Mouette wrote:
> > Le mercredi 16 ao?t 2006 ? 11:34 +0200, Brian Sutherland a ?crit :
> > > It seems to me that dh_python should set Python-Version to x.y if
> > > XS-Python-Version is x.y regardless of what the current default python
> > > is. At least that is what I would have expected.
> > 
> > This is one of the reasons why I don't like the X?-Python-Version
> > fields. There is no way for the build process to tell between those two
> > cases:
> >      1. building for python2.4 only as we build for one version only and
> >         python2.4 is the default version;
> >      2. building for python2.4 only as this is the only supported
> >         version.
> 
> Does this not work for case 1:
> 
>     XS-Python-Version: current
> 
> and for case 2:
> 
>     XS-Python-Version: 2.4

Yes it should. It's solely a dh_python bug... and not really a design issue
with the field as Joss thinks.

I could create a patch for it but as Joey wants to remove dh_python
altogether, I try to make it happen by moving what's required to
dh_pycentral/dh_pysupport instead of fixing something that will go away.

(If only Joey had been a bit more involved when the discussion on python
policy was live he could have advised me to create a library for
dependency generation from the beginning instead of letting me use
dh_python.

And at that time, I would have had no problem pushing it into
python-support/python-central.)

Cheers,
-- 
Raphaël Hertzog

Premier livre français sur Debian GNU/Linux :
http://www.ouaza.com/livre/admin-debian/



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#381389; Package debhelper. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #43 received at 381389@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 381389@bugs.debian.org, Josselin Mouette <joss@debian.org>, Matthias Klose <doko@debian.org>
Subject: Re: dh_python doesn't fill Python-Version with the correct version
Date: Thu, 28 Sep 2006 13:28:15 -0400
[Message part 1 (text/plain, inline)]
Now that debhelper is frozen, before any forward progress was made on my
goal to move python support out of debhelper (and with > 1 month having
went by without any action on that at all on the pycentral side), it seems
that the only thing to do about this RC bug is to patch dh_python --
unless some way can be found to throw dh_python out of debhelper and put
it in some other package.

I'm very unhappy that etch seems likely to be shipping with a debhelper
that has a dh_python in it that I cannot maintain, and this has reduced
my motivation to work on debhelper at all to near zero. I haven't
decided to orphan it yet, but I've certianly been thinking about that.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#381389; Package debhelper. Full text and rfc822 format available.

Acknowledgement sent to Pierre HABOUZIT <madcoder@debian.org>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. Full text and rfc822 format available.

Message #48 received at 381389@bugs.debian.org (full text, mbox):

From: Pierre HABOUZIT <madcoder@debian.org>
To: Joey Hess <joeyh@debian.org>, 381389@bugs.debian.org
Cc: Josselin Mouette <joss@debian.org>, Matthias Klose <doko@debian.org>
Subject: Re: dh_python doesn't fill Python-Version with the correct version
Date: Thu, 28 Sep 2006 23:48:30 +0200
[Message part 1 (text/plain, inline)]
On Thu, Sep 28, 2006 at 01:28:15PM -0400, Joey Hess wrote:
> Now that debhelper is frozen, before any forward progress was made on my
> goal to move python support out of debhelper (and with > 1 month having
> went by without any action on that at all on the pycentral side), it seems
> that the only thing to do about this RC bug is to patch dh_python --
> unless some way can be found to throw dh_python out of debhelper and put
> it in some other package.
> 
> I'm very unhappy that etch seems likely to be shipping with a debhelper
> that has a dh_python in it that I cannot maintain, and this has reduced
> my motivation to work on debhelper at all to near zero. I haven't
> decided to orphan it yet, but I've certianly been thinking about that.

  there is a way out here. let me explain that:

  (1) dh_pysupport is able to generate the substvars himself, and
      already do it if no debian/pycompat is here. This code has been
      tested as many packages already do use it.

  (2) AFAICT, dh_pycentral also has code to generate those, it's just
      not called yet.

  (3) both dh_py* helpers need to do all the analysis that dh_python
      does, so they already have done the inspection themselves, and
      need it to be correct already. The substitution code is only a few
      lines long.


  My proposal is simple: coordinate an upload of:
  * debhelper with a dh_python reverted to its last good state, AND that
    is noop where debian/pycompat is found.
  * python-support that always do the substitition when called.
  * python-central with the substitution code debugged and activated.

  all those packages should have versionned cross-conflicts, which is
almost harmless for end users that should not have debhelper installed
anyway.

  for that, debhelper patch is trivial, I suppose joeyh can provide it
easily, or I can do that, but having access to the SCM debhelper use to
revert the NMUs is more simple. python-support is almost ready.

  So Matthias, how hard would it be for you to generate the substvars ?
are you confident about the code that do that in python-central but that
is not activated yet ?
-- 
·O·  Pierre Habouzit
··O                                                madcoder@debian.org
OOO                                                http://www.madism.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#381389; Package debhelper. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #53 received at 381389@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Pierre HABOUZIT <madcoder@debian.org>
Cc: 381389@bugs.debian.org, Josselin Mouette <joss@debian.org>, Matthias Klose <doko@debian.org>
Subject: Re: dh_python doesn't fill Python-Version with the correct version
Date: Thu, 28 Sep 2006 19:12:58 -0400
[Message part 1 (text/plain, inline)]
Pierre HABOUZIT wrote:
>   there is a way out here. let me explain that:

Ok, I guess that this could still work. It would need to be acted on
pretty soon to happen though.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#381389; Package debhelper. Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. Full text and rfc822 format available.

Message #58 received at 381389@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Joey Hess <joeyh@debian.org>
Cc: Pierre HABOUZIT <madcoder@debian.org>, 381389@bugs.debian.org, Matthias Klose <doko@debian.org>
Subject: Re: dh_python doesn't fill Python-Version with the correct version
Date: Sun, 01 Oct 2006 12:48:58 +0200
[Message part 1 (text/plain, inline)]
Le jeudi 28 septembre 2006 à 19:12 -0400, Joey Hess a écrit :
> Pierre HABOUZIT wrote:
> >   there is a way out here. let me explain that:
> 
> Ok, I guess that this could still work. It would need to be acted on
> pretty soon to happen though.

Well, the patch is trivial for each of dh_python, dh_pycentral and
dh_pysupport, so we just need a synchronized upload. What are we waiting
for?
-- 
 .''`.           Josselin Mouette        /\./\
: :' :           josselin.mouette@ens-lyon.org
`. `'                        joss@debian.org
  `-  Debian GNU/Linux -- The power of freedom
[dh_pycentral.diff (text/x-patch, attachment)]
[dh_pysupport.diff (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#381389; Package debhelper. Full text and rfc822 format available.

Acknowledgement sent to Loïc Minier <lool@dooz.org>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. Full text and rfc822 format available.

Message #63 received at 381389@bugs.debian.org (full text, mbox):

From: Loïc Minier <lool@dooz.org>
To: Josselin Mouette <joss@debian.org>
Cc: Joey Hess <joeyh@debian.org>, Pierre HABOUZIT <madcoder@debian.org>, 381389@bugs.debian.org, Matthias Klose <doko@debian.org>
Subject: Re: dh_python doesn't fill Python-Version with the correct version
Date: Sun, 1 Oct 2006 14:48:29 +0200
On Sun, Oct 01, 2006, Josselin Mouette wrote:
> Well, the patch is trivial for each of dh_python, dh_pycentral and
> dh_pysupport, so we just need a synchronized upload. What are we waiting
> for?

 At this point, I should warn you that I had issues with dh_pycentral
 --substvars with one of my sources, some Python traceback in some
 particular cases.  When this happened, I was diagnosing a bug in
 substvars generation, and thought the relevant code was in pycentral,
 while in fact the substvars were written by dh_python.  Hence, I didn't
 investigate the substvars generation in pycentral afterwards.

 This is just a warning that you should try rebuilding some packages
 with this substvars generation before switching to it.

 (Before you ask, I am not interested in working on this.  I wanted to
 share the little information I have.)

-- 
Loïc Minier <lool@dooz.org>



Tags added: pending Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#381389; Package debhelper. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #72 received at 381389@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Josselin Mouette <joss@debian.org>
Cc: Pierre HABOUZIT <madcoder@debian.org>, 381389@bugs.debian.org, Matthias Klose <doko@debian.org>
Subject: Re: dh_python doesn't fill Python-Version with the correct version
Date: Sun, 1 Oct 2006 13:22:03 -0400
[Message part 1 (text/plain, inline)]
Josselin Mouette wrote:
> Well, the patch is trivial for each of dh_python, dh_pycentral and
> dh_pysupport, so we just need a synchronized upload. What are we waiting
> for?

Well, I'm still waiting to hear from Doko.. 

However, if I don't soon, I guess we can NMU. I've attached dh_python's
side of the changes. Since the freeze starts on the 18th, everything
needs to be uploaded by at least the 8th to get in; the 6th would be
safer. So my plan is to use the delayed upload queue, and upload
debhelper with the appropriate delay that will get it in on the 6th, and
python-central and python-support should also be uploaded. And once we
have the set of debs we should do as many test builds as we can of
python packages to make sure nothing is breaking..

I've uploaded debhelper to the 5 day delayed queue now.

-- 
see shy jo
[p (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#381389; Package debhelper. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #77 received at 381389@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Loïc Minier <lool@dooz.org>, 381389@bugs.debian.org
Cc: Josselin Mouette <joss@debian.org>, Pierre HABOUZIT <madcoder@debian.org>, Matthias Klose <doko@debian.org>
Subject: Re: Bug#381389: dh_python doesn't fill Python-Version with the correct version
Date: Sun, 1 Oct 2006 13:45:20 -0400
[Message part 1 (text/plain, inline)]
Loïc Minier wrote:
>  At this point, I should warn you that I had issues with dh_pycentral
>  --substvars with one of my sources, some Python traceback in some
>  particular cases.  When this happened, I was diagnosing a bug in
>  substvars generation, and thought the relevant code was in pycentral,
>  while in fact the substvars were written by dh_python.  Hence, I didn't
>  investigate the substvars generation in pycentral afterwards.
> 
>  This is just a warning that you should try rebuilding some packages
>  with this substvars generation before switching to it.

Yes, I can reproduce this with gnome-python-desktop with the patched
version of dh_pycentral:

dh_pycentral -a
Traceback (most recent call last):
  File "/usr/bin/pycentral", line 1325, in ?
    main()
  File "/usr/bin/pycentral", line 1319, in main
    rv = action.run(global_options)
  File "/usr/bin/pycentral", line 1183, in run
    parse_versions=self.options.substvars!='no')
  File "/usr/bin/pycentral", line 275, in __init__
    self.read_control()
  File "/usr/bin/pycentral", line 387, in read_control
    self.sversion_info = parse_versions(self.sversion_field)
NameError: global name 'parse_versions' is not defined
dh_pycentral: command returned error code 256

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#381389; Package debhelper. Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. Full text and rfc822 format available.

Message #82 received at 381389@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Pierre HABOUZIT <madcoder@debian.org>, 381389@bugs.debian.org, Matthias Klose <doko@debian.org>
Subject: Re: dh_python doesn't fill Python-Version with the correct version
Date: Sun, 01 Oct 2006 20:07:20 +0200
[Message part 1 (text/plain, inline)]
Le dimanche 01 octobre 2006 à 13:22 -0400, Joey Hess a écrit :
> I've uploaded debhelper to the 5 day delayed queue now.

I've done the same for python-support.

It looks like the changes to python-central are not as trivial as I
thought, let's hope they can be sorted out quickly.
-- 
 .''`.           Josselin Mouette        /\./\
: :' :           josselin.mouette@ens-lyon.org
`. `'                        joss@debian.org
  `-  Debian GNU/Linux -- The power of freedom
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#381389; Package debhelper. Full text and rfc822 format available.

Acknowledgement sent to Pierre HABOUZIT <madcoder@debian.org>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. Full text and rfc822 format available.

Message #87 received at 381389@bugs.debian.org (full text, mbox):

From: Pierre HABOUZIT <madcoder@debian.org>
To: 381389@bugs.debian.org
Cc: Loïc Minier <lool@dooz.org>, Josselin Mouette <joss@debian.org>, Pierre HABOUZIT <madcoder@debian.org>, Matthias Klose <doko@debian.org>
Subject: dh_pycentral patch
Date: Mon, 2 Oct 2006 15:14:01 +0200
[Message part 1 (text/plain, inline)]
  Hi,

  Attached is the patch for python-central.

  I've tested on 5 packages yet, and it seems to work correctly on
packages with public modules. Though it seems that it completely fails
with packages with private modules, (like smart-notifier)

  Also note that smart-notifier packaging is buggy as it should not ask
for XS-P-V: 2.4 but >= 2.3 if not all.

  though that does not changes a damn thing, and would break other
packages anyway.


  I don't know what we can do right now…

-- 
·O·  Pierre Habouzit
··O                                                madcoder@debian.org
OOO                                                http://www.madism.org
[python-central-0.5.5-0.1-nmu.diff (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#381389; Package debhelper. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #92 received at 381389@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Pierre HABOUZIT <madcoder@debian.org>, 381389@bugs.debian.org
Cc: Loïc Minier <lool@dooz.org>, Josselin Mouette <joss@debian.org>, Matthias Klose <doko@debian.org>
Subject: Re: Bug#381389: dh_pycentral patch
Date: Mon, 2 Oct 2006 12:17:48 -0400
[Message part 1 (text/plain, inline)]
Pierre HABOUZIT wrote:
>   I've tested on 5 packages yet, and it seems to work correctly on
> packages with public modules. Though it seems that it completely fails
> with packages with private modules, (like smart-notifier)
> 
>   Also note that smart-notifier packaging is buggy as it should not ask
> for XS-P-V: 2.4 but >= 2.3 if not all.

Another problem with smart-notifier is that it calls dh_python but lacks
a pycompat file, so the new dh_python will do old-style stuff with it,
including adding a postinst call to compileall.py.

I thought that making dh_python a NOOP if there was a pycompat file was
good enough, but this package seems to say otherwise? It seems that
dh_python also needs to be a NOOP if Python-Version is set. Can someone
verify that for me?

>   though that does not changes a damn thing, and would break other
> packages anyway.
> 
> 
>   I don't know what we can do right now…

Well, the other thing we could do is put a private copy of dh_python
into pycentral (not in path) and make dh_pycentral call it and be
otherwise unchanged.

Very ugly and it might mean that pycentral would inherit RC bugs like
#381389 from dh_python.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#381389; Package debhelper. Full text and rfc822 format available.

Acknowledgement sent to Pierre Habouzit <madcoder@debian.org>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. Full text and rfc822 format available.

Message #97 received at 381389@bugs.debian.org (full text, mbox):

From: Pierre Habouzit <madcoder@debian.org>
To: Joey Hess <joeyh@debian.org>
Cc: 381389@bugs.debian.org, Loïc Minier <lool@dooz.org>, Josselin Mouette <joss@debian.org>, Matthias Klose <doko@debian.org>
Subject: Re: Bug#381389: dh_pycentral patch
Date: Mon, 2 Oct 2006 18:55:33 +0200
[Message part 1 (text/plain, inline)]
Le lun 2 octobre 2006 18:17, Joey Hess a écrit :
> Pierre HABOUZIT wrote:
> >   I've tested on 5 packages yet, and it seems to work correctly on
> > packages with public modules. Though it seems that it completely
> > fails with packages with private modules, (like smart-notifier)
> >
> >   Also note that smart-notifier packaging is buggy as it should not
> > ask for XS-P-V: 2.4 but >= 2.3 if not all.
>
> Another problem with smart-notifier is that it calls dh_python but
> lacks a pycompat file, so the new dh_python will do old-style stuff
> with it, including adding a postinst call to compileall.py.

that's RC then. and a packaging problem, not our own.

> I thought that making dh_python a NOOP if there was a pycompat file
> was good enough, but this package seems to say otherwise? It seems
> that dh_python also needs to be a NOOP if Python-Version is set. Can
> someone verify that for me?

well, you can do that too, but using dh_python to generate the substvars 
for the new policy needed a pycompat if using dh_py* + dh_python. 
That's a packaging problem. You should not care about it.


> >   though that does not changes a damn thing, and would break other
> > packages anyway.
> >
> >
> >   I don't know what we can do right now…
>
> Well, the other thing we could do is put a private copy of dh_python
> into pycentral (not in path) and make dh_pycentral call it and be
> otherwise unchanged.
>
> Very ugly and it might mean that pycentral would inherit RC bugs like
> #381389 from dh_python.

that's right :|

-- 
·O·  Pierre Habouzit
··O                                                madcoder@debian.org
OOO                                                http://www.madism.org
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#381389; Package debhelper. Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. Full text and rfc822 format available.

Message #102 received at 381389@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Pierre Habouzit <madcoder@debian.org>, 381389@bugs.debian.org
Cc: Joey Hess <joeyh@debian.org>, Loïc Minier <lool@dooz.org>, Josselin Mouette <joss@debian.org>, Matthias Klose <doko@debian.org>
Subject: Re: Bug#381389: dh_pycentral patch
Date: Tue, 3 Oct 2006 09:34:30 +0200
On Mon, 02 Oct 2006, Pierre Habouzit wrote:
> > Another problem with smart-notifier is that it calls dh_python but
> > lacks a pycompat file, so the new dh_python will do old-style stuff
> > with it, including adding a postinst call to compileall.py.
> 
> that's RC then. and a packaging problem, not our own.
> 
> > I thought that making dh_python a NOOP if there was a pycompat file
> > was good enough, but this package seems to say otherwise? It seems
> > that dh_python also needs to be a NOOP if Python-Version is set. Can
> > someone verify that for me?

Yes I confirm that.

> well, you can do that too, but using dh_python to generate the substvars 
> for the new policy needed a pycompat if using dh_py* + dh_python. 
> That's a packaging problem. You should not care about it.

Yes you should IMO because the current dh_python assumes pycompat==2 if
there's no pycompat file and if there's a Python-Version control field.

That's because pycompat has only been introduced after the start of the
migration when Josselin decided to change his mind...

Cheers,
-- 
Raphaël Hertzog

Premier livre français sur Debian GNU/Linux :
http://www.ouaza.com/livre/admin-debian/



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#381389; Package debhelper. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #107 received at 381389@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Raphael Hertzog <hertzog@debian.org>
Cc: Pierre Habouzit <madcoder@debian.org>, 381389@bugs.debian.org, Loïc Minier <lool@dooz.org>, Josselin Mouette <joss@debian.org>, Matthias Klose <doko@debian.org>
Subject: Re: Bug#381389: dh_pycentral patch
Date: Tue, 3 Oct 2006 13:04:53 -0400
[Message part 1 (text/plain, inline)]
Raphael Hertzog wrote:
> Yes you should IMO because the current dh_python assumes pycompat==2 if
> there's no pycompat file and if there's a Python-Version control field.
> 
> That's because pycompat has only been introduced after the start of the
> migration when Josselin decided to change his mind...

Ok, done in a new version of debhelper I've uploaded to the 3-day
delayed queue. Only 3 days left to sort everything out..

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#381389; Package debhelper. Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. Full text and rfc822 format available.

Message #112 received at 381389@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Brian Sutherland <jinty@web.de>, 381389@bugs.debian.org
Cc: Margarita Manterola <marga@debian.org>, doko@debian.org
Subject: Re: Bug#381389: Reproduceable, and not smart-notifier's fault
Date: Wed, 4 Oct 2006 09:42:14 +0200
On Wed, 16 Aug 2006, Brian Sutherland wrote:
> On Sat, Aug 12, 2006 at 12:17:21PM -0300, Margarita Manterola wrote:
> > I can reproduce this in my machine.  It's due to the fact that
> > /usr/bin/python points to python2.3 in my box, and smart-notifier's python
> > version is "current". Changing this in /var/lib/dpkg/status, "fixes" this
> > bug.
> >
> > Therefore, as discussed with Pierre Habouzit, this is a bug in dh_python,
> > which is not placing the correct version in the Python-Version field, and
> 
> It looks to me like this is what happens:
> 
> smart-notifier has XS-Python-Version set to 2.4 but the binary
> package gets Python-Version "current" if built with python2.4 as the
> default python.

Can you really reproduce that with the dh_python of debhelper 5.0.37.3 ?

I wanted to prepare a patch for this, but I really get 2.4 and not current
when building smart-notifier with python 2.4...

Cheers,
-- 
Raphaël Hertzog

Premier livre français sur Debian GNU/Linux :
http://www.ouaza.com/livre/admin-debian/



Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#381389; Package debhelper. Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. Full text and rfc822 format available.

Message #117 received at 381389@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Joey Hess <joeyh@debian.org>, 381389@bugs.debian.org
Cc: Pierre Habouzit <madcoder@debian.org>, Loïc Minier <lool@dooz.org>, Josselin Mouette <joss@debian.org>, Matthias Klose <doko@debian.org>
Subject: Re: Bug#381389: dh_pycentral patch
Date: Wed, 4 Oct 2006 08:21:17 +0200
On Tue, 03 Oct 2006, Joey Hess wrote:
> Raphael Hertzog wrote:
> > Yes you should IMO because the current dh_python assumes pycompat==2 if
> > there's no pycompat file and if there's a Python-Version control field.
> > 
> > That's because pycompat has only been introduced after the start of the
> > migration when Josselin decided to change his mind...
> 
> Ok, done in a new version of debhelper I've uploaded to the 3-day
> delayed queue. Only 3 days left to sort everything out..

I had a quick chat with doko last night:
<buxy> doko__: have you seen the upcoming dh_python changes? you need to act quickly!
<doko__> will do, will revert them
<buxy> doko__: revert them?
<doko__> when did you test pycentral debhelper the last time? the risk is too high for regressions, so I'll integrate the current dh_python in dh_pycentral
<buxy> doko__: indeed, pycentral debhelper has not been tested much, Madcoder did some recent test, on the other hand the current dh_python also has an RC bug but I can try to fix it if you plan to use that code
<buxy> doko__: do you have a bzr branch for python-central?
<doko__> buxy: that would be nice; I hope to get long-term a library module for the dependency stuff. not yet; mvo already asked ...

So it looks like I'll fix my dh_python code (cf the RC bug already
reported) and then merge it into dh_pycentral.

Cheers,
-- 
Raphaël Hertzog

Premier livre français sur Debian GNU/Linux :
http://www.ouaza.com/livre/admin-debian/



Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#381389; Package debhelper. Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. Full text and rfc822 format available.

Message #122 received at 381389@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Joey Hess <joeyh@debian.org>, 381389@bugs.debian.org
Cc: Pierre Habouzit <madcoder@debian.org>, Loïc Minier <lool@dooz.org>, Josselin Mouette <joss@debian.org>, Matthias Klose <doko@debian.org>, debian-python@lists.debian.org
Subject: Re: Bug#381389: dh_pycentral patch
Date: Wed, 4 Oct 2006 12:00:26 +0200
Context for debian-python: we're deprecating dh_python on Joey's request
and thus move the logic of substvars generation into
dh_pycentral/dh_pysupport. debhelper/python-central/python-support will
be jointly uploaded in 2 days (the packages are in DELAYED/2-days right now)
to make that happen.

We need to make sure that we didn't break anything by doing so.

On Tue, 03 Oct 2006, Joey Hess wrote:
> Ok, done in a new version of debhelper I've uploaded to the 3-day
> delayed queue. Only 3 days left to sort everything out..

I prepared an updated of python-central which integrates the dh_python
code into dh_pycentral. It's here:
http://people.debian.org/~hertzog/packages/python-central.patch
http://people.debian.org/~hertzog/packages/python-central_0.5.6.dsc
Doko has more changes for python-central, he will merge my changes
and upload the final package into DELAYED/2-day.

Now it's time to test the combination. Someone should install
the three packages:
http://people.debian.org/~hertzog/packages/python-central_0.5.6_all.deb
http://people.debian.org/~hertzog/packages/debhelper_5.0.39_all.deb
http://people.debian.org/~hertzog/packages/python-support_0.5.3_all.deb
(I had to use dpkg --force-conflicts -i *.deb, giving dpkg -iGROEB *.deb didn't
work)

And then recompile many python packages using
python-support/python-central and watch out differences (in the generated
dependencies in particular).

Some help is welcome. My first tests with dh_pycentral are good but I only
checked 2 packages.

Cheers,
-- 
Raphaël Hertzog

Premier livre français sur Debian GNU/Linux :
http://www.ouaza.com/livre/admin-debian/



Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#381389; Package debhelper. Full text and rfc822 format available.

Acknowledgement sent to Brian Sutherland <jinty@web.de>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. Full text and rfc822 format available.

Message #127 received at 381389@bugs.debian.org (full text, mbox):

From: Brian Sutherland <jinty@web.de>
To: Raphael Hertzog <hertzog@debian.org>
Cc: 381389@bugs.debian.org, Margarita Manterola <marga@debian.org>, doko@debian.org
Subject: Re: Bug#381389: Reproduceable, and not smart-notifier's fault
Date: Thu, 5 Oct 2006 04:21:29 +0200
On Wed, Oct 04, 2006 at 09:42:14AM +0200, Raphael Hertzog wrote:
> On Wed, 16 Aug 2006, Brian Sutherland wrote:
> > On Sat, Aug 12, 2006 at 12:17:21PM -0300, Margarita Manterola wrote:
> > > I can reproduce this in my machine.  It's due to the fact that
> > > /usr/bin/python points to python2.3 in my box, and smart-notifier's python
> > > version is "current". Changing this in /var/lib/dpkg/status, "fixes" this
> > > bug.
> > >
> > > Therefore, as discussed with Pierre Habouzit, this is a bug in dh_python,
> > > which is not placing the correct version in the Python-Version field, and
> > 
> > It looks to me like this is what happens:
> > 
> > smart-notifier has XS-Python-Version set to 2.4 but the binary
> > package gets Python-Version "current" if built with python2.4 as the
> > default python.
> 
> Can you really reproduce that with the dh_python of debhelper 5.0.37.3 ?

I reproduced the installation problem, but didn't try the build leading
up to it with the latest debhelper.

> I wanted to prepare a patch for this, but I really get 2.4 and not current
> when building smart-notifier with python 2.4...

Yeah, I get the same.

But I will note that the smart-notifier binary in the archive has
Python-Version set to current and build depends on >=5.0.37.2.

So looks like it was only a problem in 5.0.37.2, or something else
changed in between then and now.

Thanks for looking into it.

I guess now the bug should be sent back to smart-notifier to be fixed
with an updated build dependency.

-- 
Brian Sutherland

Metropolis - "it's the first movie with a robot. And she's a woman.
              And she's EVIL!!"



Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#381389; Package debhelper. Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. Full text and rfc822 format available.

Message #132 received at 381389@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Brian Sutherland <jinty@web.de>
Cc: 381389@bugs.debian.org
Subject: Re: Bug#381389: Reproduceable, and not smart-notifier's fault
Date: Thu, 5 Oct 2006 08:14:51 +0200
Hi,

On Thu, 05 Oct 2006, Brian Sutherland wrote:
> I reproduced the installation problem, but didn't try the build leading
> up to it with the latest debhelper.
> 
> > I wanted to prepare a patch for this, but I really get 2.4 and not current
> > when building smart-notifier with python 2.4...
> 
> Yeah, I get the same.
> 
> But I will note that the smart-notifier binary in the archive has
> Python-Version set to current and build depends on >=5.0.37.2.
> 
[...]
> I guess now the bug should be sent back to smart-notifier to be fixed
> with an updated build dependency.

Yes but it doesn't bring much as the 5.0.37.2 version is nowhere (and thus not on
buildd). But you should at least rebuild the package with a current
debhelper to fix #383099.

Cheers,
-- 
Raphaël Hertzog

Premier livre français sur Debian GNU/Linux :
http://www.ouaza.com/livre/admin-debian/



Reply sent to Joey Hess <joeyh@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Aaron M. Ucko" <ucko@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #137 received at 381389-close@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 381389-close@bugs.debian.org
Subject: Bug#381389: fixed in debhelper 5.0.39
Date: Thu, 05 Oct 2006 15:03:25 -0700
Source: debhelper
Source-Version: 5.0.39

We believe that the bug you reported is fixed in the latest version of
debhelper, which is due to be installed in the Debian FTP archive:

debhelper_5.0.39.dsc
  to pool/main/d/debhelper/debhelper_5.0.39.dsc
debhelper_5.0.39.tar.gz
  to pool/main/d/debhelper/debhelper_5.0.39.tar.gz
debhelper_5.0.39_all.deb
  to pool/main/d/debhelper/debhelper_5.0.39_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 381389@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joey Hess <joeyh@debian.org> (supplier of updated debhelper package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue,  3 Oct 2006 13:02:24 -0400
Source: debhelper
Binary: debhelper
Architecture: source all
Version: 5.0.39
Distribution: unstable
Urgency: low
Maintainer: Joey Hess <joeyh@debian.org>
Changed-By: Joey Hess <joeyh@debian.org>
Description: 
 debhelper  - helper programs for debian/rules
Closes: 189474 253582 358392 370833 373853 374776 375576 375936 375948 378604 381389
Changes: 
 debhelper (5.0.39) unstable; urgency=low
 .
   * dh_python: Also be a no-op if there's a Python-Version control file field.
 .
 debhelper (5.0.38) unstable; urgency=low
 .
   [ Valery Perrin ]
   * Update french translation with recent change in dh_installmodules
 .
   [ Joey Hess]
   * ACK last three NMUs with thanks to Raphael Hertzog for making the best of
     a difficult situation.
   * Revert all dh_python changes. Closes: #381389, #378604
   * Conflict with python-support <= 0.5.2 and python-central <= 0.5.4.
   * Make dh_python do nothing if debian/pycompat is found.
     The new versions of dh_pysupport or dh_pycentral will take care of
     everything dh_python used to do in this situation.
   * dh_python is now deprecated. Closes: #358392, #253582, #189474
   * move po4a to Build-Depends as it's run in clean.
   * Add size test, which fails on any debhelper program of more than 150
     lines (excluding POD). This is not a joke, and 100 lines would be better.
   * Add size test exception for dh_python, since it's deprecated.
 .
 debhelper (5.0.37.3) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Update of dh_python
     - when buidling for a non-standard Python version, generate more
       reasonable Depends like "python (>= X.Y) | pythonX.Y"
       Closes: #375576
     - fix handling of private extensions. Closes: #375948
     - fix parsing of XS-Python-Version, it didn't work if only fixed versions
       were listed in XS-Python-Version.
     - fix use of unitialized value. Closes: #374776
     - fix typos in POD documentation. Closes: #375936
 .
 debhelper (5.0.37.2) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Update of dh_python
     - vastly refactored, easier to understand, and the difference
       between old policy and new policy is easier to grasp
     - it supports an -X option which can be used to not scan some files
     - uses debian/pyversions as reference source of information for
       dependencies but also parse the XS-Python-Version header as fallback.
     - ${python:Versions}'s default value is XS-Python-Version's value
       instead of "all" when the package doesn't depend on a
       specific python version. Closes: #373853
     - always generate ${python:Provides} and leave the responsibility to the
       maintainer to not use ${python:Provides} if he doesn't want the
       provides.
     - uses debian/pycompat or DH_PYCOMPAT as reference field to run in new
       policy mode. The presence of XS-Python-Version will also trigger the
       new policy mode (this is for short-term compatibility, it may be removed in
       the not too-distant future).
       DH_PYCOMPAT=1 is the default mode and is compatible to the old policy.
       DH_PYCOMPAT=2 is the new mode and is compatible with the new policy.
   * Use "grep ^Version:" instead of "grep Version:" on the output of
     dpkg-parsechangelog since the above changelog entry matched "Version:" and
     thus made the build fail.
 .
 debhelper (5.0.37.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Integrate the new dh_python implementing the new Python policy. Closes: #370833
Files: 
 15b865b7547f03ca7e004390dc23d293 539 devel optional debhelper_5.0.39.dsc
 f53141a41809277877495c12d2925b35 264600 devel optional debhelper_5.0.39.tar.gz
 c1853d15602f18afa20bb387984bccc1 510310 devel optional debhelper_5.0.39_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFIpgQ2tp5zXiKP0wRAgAnAKCY1l/DKrPb9GH/FBa+Vbs6/c9uUwCfYX9E
4hnBoJFpGQWsmY4tFw5WoOI=
=96q9
-----END PGP SIGNATURE-----




Reply sent to Joey Hess <joeyh@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Aaron M. Ucko" <ucko@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #142 received at 381389-close@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 381389-close@bugs.debian.org
Subject: Bug#381389: fixed in debhelper 5.0.38
Date: Thu, 05 Oct 2006 15:03:23 -0700
Source: debhelper
Source-Version: 5.0.38

We believe that the bug you reported is fixed in the latest version of
debhelper, which is due to be installed in the Debian FTP archive:

debhelper_5.0.38.dsc
  to pool/main/d/debhelper/debhelper_5.0.38.dsc
debhelper_5.0.38.tar.gz
  to pool/main/d/debhelper/debhelper_5.0.38.tar.gz
debhelper_5.0.38_all.deb
  to pool/main/d/debhelper/debhelper_5.0.38_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 381389@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joey Hess <joeyh@debian.org> (supplier of updated debhelper package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun,  1 Oct 2006 13:07:40 -0400
Source: debhelper
Binary: debhelper
Architecture: source all
Version: 5.0.38
Distribution: unstable
Urgency: low
Maintainer: Joey Hess <joeyh@debian.org>
Changed-By: Joey Hess <joeyh@debian.org>
Description: 
 debhelper  - helper programs for debian/rules
Closes: 189474 253582 358392 370833 373853 374776 375576 375936 375948 378604 381389
Changes: 
 debhelper (5.0.38) unstable; urgency=low
 .
   [ Valery Perrin ]
   * Update french translation with recent change in dh_installmodules
 .
   [ Joey Hess]
   * ACK last three NMUs with thanks to Raphael Hertzog for making the best of
     a difficult situation.
   * Revert all dh_python changes. Closes: #381389, #378604
   * Conflict with python-support <= 0.5.2 and python-central <= 0.5.4.
   * Make dh_python do nothing if debian/pycompat is found.
     The new versions of dh_pysupport or dh_pycentral will take care of
     everything dh_python used to do in this situation.
   * dh_python is now deprecated. Closes: #358392, #253582, #189474
   * move po4a to Build-Depends as it's run in clean.
   * Add size test, which fails on any debhelper program of more than 150
     lines (excluding POD). This is not a joke, and 100 lines would be better.
   * Add size test exception for dh_python, since it's deprecated.
 .
 debhelper (5.0.37.3) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Update of dh_python
     - when buidling for a non-standard Python version, generate more
       reasonable Depends like "python (>= X.Y) | pythonX.Y"
       Closes: #375576
     - fix handling of private extensions. Closes: #375948
     - fix parsing of XS-Python-Version, it didn't work if only fixed versions
       were listed in XS-Python-Version.
     - fix use of unitialized value. Closes: #374776
     - fix typos in POD documentation. Closes: #375936
 .
 debhelper (5.0.37.2) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Update of dh_python
     - vastly refactored, easier to understand, and the difference
       between old policy and new policy is easier to grasp
     - it supports an -X option which can be used to not scan some files
     - uses debian/pyversions as reference source of information for
       dependencies but also parse the XS-Python-Version header as fallback.
     - ${python:Versions}'s default value is XS-Python-Version's value
       instead of "all" when the package doesn't depend on a
       specific python version. Closes: #373853
     - always generate ${python:Provides} and leave the responsibility to the
       maintainer to not use ${python:Provides} if he doesn't want the
       provides.
     - uses debian/pycompat or DH_PYCOMPAT as reference field to run in new
       policy mode. The presence of XS-Python-Version will also trigger the
       new policy mode (this is for short-term compatibility, it may be removed in
       the not too-distant future).
       DH_PYCOMPAT=1 is the default mode and is compatible to the old policy.
       DH_PYCOMPAT=2 is the new mode and is compatible with the new policy.
   * Use "grep ^Version:" instead of "grep Version:" on the output of
     dpkg-parsechangelog since the above changelog entry matched "Version:" and
     thus made the build fail.
 .
 debhelper (5.0.37.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Integrate the new dh_python implementing the new Python policy. Closes: #370833
Files: 
 fc05e17db93ba93f72964411c1f7fa87 539 devel optional debhelper_5.0.38.dsc
 3eac11b1745762ee27f011895b7b57e5 266444 devel optional debhelper_5.0.38.tar.gz
 c9222db0fdd2836116ee6da6802bae85 510092 devel optional debhelper_5.0.38_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFH/5p2tp5zXiKP0wRAvulAKDJQmWYLLh8KNHOV28T8umx0LEtNQCgsn2k
AjwzT6Fto++6z37+CT+mn9M=
=rWxz
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 27 Jun 2007 01:56:30 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 17:48:21 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.